@font-face {
    font-family: 'AcciuTEELig';
    src: url('/fonts/AcciuTEELigConRegular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'BarlowSemiReg';
    src: url('/fonts/BarlowSemiCondensedRegular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

.text-justify {
    text-align: justify;
}

html,
body{
    font-family: 'BarlowSemiReg' !important;
    font-size: clamp(1rem, 2vw, 1.2rem) !important;
    letter-spacing: 1px !important;
}

h1, h2, h3, h4, h5,
.btn,
.nav-item, 
.card-title,
.hero-text,
.purchase-reasons {
    font-family: 'AcciuTEELig' !important;
}

h2 {
    font-size: clamp(1rem, 5vw, 2.3rem) !important;
}

h3{
    font-size: clamp(1rem, 2vw, 2rem) !important;
}

h4{
    font-size: clamp(1rem, 3vw, 1.8rem) !important;
}

strong{
    font-weight: lighter;
}

blockquote{
    font-size: clamp(0.8rem, 2vw, 1rem) !important;
}

.btn{
    font-size: clamp(1rem, 2vw, 1.8rem) !important;
}

.btn-sm{
    font-size: clamp(0.8rem, 1.4vw, 1.2rem) !important;
}

.btn-slim {
    font-size: clamp(1rem, 2vw, 1.4rem) !important;
}

.btn-nowrap {
    white-space: nowrap !important;
}

.bg-light {
    background-color: #f1f3f5 !important;
}

.btn-dark{
    background-color: #1c2526;
    border: none;
}

.btn-success {
    background-color: #43c904;
    border: none;
}

.btn-success:hover {
    background-color: #36a902;
}

.text-success {
    color: #43c904 !important;
}

.swiper {
    padding-bottom: 40px;
}

.swiper-pagination {
    bottom: 10px !important;
}

.swiper-button-next,
.swiper-button-prev {
  background-color: rgba(28, 165, 51, 0.1);
  color: #1ca533; /* tvoje zelená */
  border-radius: 50%;
  width: 44px;
  height: 44px;
  transition: all 0.3s ease;
  border: 2px solid transparent;
  box-shadow: 0 0 0 2px transparent;
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
  background-color: #43c904;
  color: #fff;
  border-color: #43c904;
  box-shadow: 0 0 0 2px rgba(28, 165, 51, 0.2);
}

.swiper-button-next::after,
.swiper-button-prev::after {
  font-size: 18px;
  font-weight: bold;
}

.card {
    background-color: #fff;
    border-radius: 8px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card-title{
    color: #43c904 !important;
    margin: 0.5rem 0 ip !important;
}

.card-text{
    font-size: clamp(1rem, 2vw, 1.2rem) !important;
}

.card:hover {
    transform: none !important;
}

@media (min-width: 992px) {
    .nav-link,
    .dropdown-menu,
    .nav-item .btn {
      font-size: clamp(1rem, 6vw, 1.4rem) !important;
    }
}

@media (max-width: 991.98px) {
    .nav-link,
    .dropdown-menu,
    .nav-item .btn{
      font-size: 1.4rem !important;
    }
}

.nav-link {
    position: relative;
    display: inline-block;
    margin-right: 10px;
    text-decoration: none;
    color: #000;
    text-align: center;
    vertical-align: middle;
}

/* Podtržení odkazu při hoveru pro ne-dropdown odkazy */
.nav-item:not(.dropdown) .nav-link:hover::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 100%;
    height: 2px;
    background-color: #43c904;
    transition: width 0.3s ease;
}

.nav-item.dropdown:hover .dropdown-menu {
    display: block;
    margin-top: 0;
}

.nav-item.dropdown > .nav-link {
    position: relative;
    z-index: 1;
}

.nav-item:not(.language-switch) .dropdown-item:hover {
    position: relative;
    background-color: #fff;
}

.nav-item:not(.language-switch) .dropdown-item:hover::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background-color: #43c904;
}

.language-switch .dropdown-item:hover {
    background-color: #f1f1f1;
    transition: background-color 0.2s ease;
}

.language-switch .nav-link {
    display: flex !important;
    align-items: center;
    justify-content: center;
    height: 100%; 
}

.language-switch img{
    width: 30px;;
    margin-right: 8px;
}

.hero-content {
    height: 400px;
    background-image: url('/img/hero-background.png');
    background-size: 250px 400px; 
    background-position: left center;
    background-repeat: no-repeat;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start; 
}

@media (min-width: 421px) {
    .hero-text {
        margin-left: 220px;
    }
}

@media (max-width: 420px) {
    .hero-text {
        margin-left: 170px;
    }
}

@media (max-width: 390px) {
    .hero-text {
        margin-left: 100px;
    }
}

.hero-text {
    text-align: left;
    padding-top: 40px;
}

.custom-text, .printing-text {
    font-size: clamp(3rem, 6vw, 5rem);
    font-weight: normal;
    line-height: 1;
    letter-spacing: 5px;
    text-transform: uppercase;
}

.custom-text {
    color: #43c904;
    font-weight: bold;
}

.printing-text {
    color: #000;
}

/* 3D výtisk obrázek */
.hero-3d-print {
    display: flex !important;
    align-items: flex-end;
    justify-content: flex-end;
    margin-left: auto;
    margin-top: auto;
    margin-bottom: 20px;
}

.hero-3d-print img {
    max-width: 300px;
    height: auto;
}

.hero-line {
    width: 65%;
    margin-top: 10px;
    margin-left: 10%;
} 

.subpage-hero {
    height: 200px;
    background-image: url('/img/hero-background.png');
    background-size: contain;
    background-position: left center;
    background-repeat: no-repeat;
    display: flex;
}

.subpage-title {
    font-size: clamp(1.5rem, 10vw, 4rem) !important;
    color: #43c904;
    font-weight: bold;
    line-height: 1;
    letter-spacing: 5px;
    margin: auto auto auto 140px;
    text-align: center;
}

@media (max-width: 768px) {
    .subpage-hero {
        height: 150px;
    }

    .subpage-title {
        font-size: 2rem;
    }
}

.purchase-reasons {
    background-color: #1c2526 !important;
}

.transition-section {
    background: linear-gradient(180deg, #1c2526, #0f1213);
    position: relative;
    background-image: url('/img/footer_banner.jpg');
    background-size: cover;
    background-position: center;
}

.logo-background{
    height: 600px;
    width: 50%;
    display: flex;
    align-items: center;
}

.logo-background img{
    display: block;
    width: clamp(100px, 50vw, 770px) !important;
    max-width: 100%;
}

.calc-icon {
    font-size: clamp(1.8rem, 4vw, 3rem);
}

.calc-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.transition-section .footer-line {
    display: block;
    width: clamp(150px, 50vw, 661px) !important;
    max-width: 100%;
}

.footer {
    font-size: clamp(0.8rem, 1.5vw, 1rem) !important;
    background-color: #1c2526 !important;
    color: #fff;
}

.footer small{
    font-size: clamp(0.6rem, 1vw, 0.8rem) !important;
}

.footer-logo {
    width: clamp(100px, 15vw, 200px) !important;
    height: auto;
}

.footer a {
    color: #fff;
}

.footer h5 {
    font-size: clamp(1rem, 2vw, 1.2rem) !important;
}

@media (max-width: 990px) {
    .navbar-nav {
        text-align: center;
    }
    
    .dropdown-menu{
        text-align: center;
        justify-content: center;
        max-width: 150px;
        margin: 0 auto;
    }
    
    .dropdown-toggle {
        justify-content: center;
    }

    .nav-link {
        padding: 8px 10px;
    }

    .btn-success, .btn-dark {
        margin-top: 10px;
        margin-left: 0px !important;
        margin-right: 0px !important;
    }

    /*
    .nav-link.btn {
        display: block;
        margin: 5px 0;
        width: 100%;
        text-align: center; 
    }
    .navbar-collapse {
        justify-content: center;
    }    
*/
}

.contact-section .form-label{
    font-size: clamp(1rem, 2vw, 1.2rem) !important;
}

.contact-section .form-control{
    font-size: clamp(0.8rem, 2vw, 1rem) !important;
}

.newsletter-section .text-muted,
.contact-section .text-muted,
.cookie-banner {
    margin-left: 10px;
    font-size: clamp(0.6rem, 1vw, 0.8rem) !important;
    line-height: 1.2;
    text-align: justify;
}

.contact-section .social-icon {
    font-size: 2rem;
    color: #333 !important;
    transition: color 0.3s ease;
}

.bank-details-content {
    max-width: 320px;
}

.bank-details-content .fs-6 {
    word-break: break-word;
}

.material-list {
    list-style: none !important;
}

.material-list li {
    padding: 10px;
    border-bottom: 1px solid #e0e0e0;
}

.material-list li:last-child {
    border-bottom: none;
}

.material-list li strong {
    color: #43c904;
    font-size: clamp(1rem, 2vw, 1.2rem);
}

.material-list li .text-muted {
    display: block;
    font-size: 1.0rem;
    margin-top: 4px;
    color: #6c757d;
}

.accordion .accordion-header,
.accordion .accordion-button,
.accordion .accordion-body  {
    font-size: clamp(1rem, 2vw, 1.2rem) !important;
    letter-spacing: 1px;
}

.accordion-button {
    background-color: #f8f9fa;
    color: #000;
    border-radius: 8px;
    margin: 5px 0; 
    transition: background-color 0.3s ease;
}

.accordion-button:hover {
    background-color: #d4f7cc; 
    color: #000;
}

.accordion-button:focus {
    box-shadow: none; 
}

.accordion-button:not(.collapsed) {
    background-color: #43c904; 
    color: #fff;
}

.accordion-body {
    background-color: #ffffff;
    color: #333;
    border-radius: 8px;
    padding: 15px;
    margin: 5px 0;
}

.calculator-iframe {
    width: 100%;
    max-width: 1200px;
    height: 950px; /* fallback */
    transition: height 0.3s ease;
    border: none;
    box-shadow: 0 6px 25px rgba(0, 0, 0, 0.05);
    border-radius: 12px;
    background: white;
    display: block;
}

.hidden-honeypot {
    position: absolute;
    left: -9999px;
}

.cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    border-top: 1px solid #dee2e6;
    z-index: 2000;
  }